> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprosperapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Receive Webhook Step



## OpenAPI

````yaml https://voice.getprosperapp.com/openapi.json post /api/v1/campaigns/{campaign_id}/targets/{target_id}/step/{friendly_id}
openapi: 3.1.0
info:
  title: Prosper Voice
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/campaigns/{campaign_id}/targets/{target_id}/step/{friendly_id}:
    post:
      tags:
        - Campaigns
      summary: Receive Webhook Step
      operationId: >-
        receive_webhook_step_api_v1_campaigns__campaign_id__targets__target_id__step__friendly_id__post
      parameters:
        - name: target_id
          in: path
          required: true
          schema:
            type: string
            description: The ID of the target.
            title: Target Id
          description: The ID of the target.
        - name: campaign_id
          in: path
          required: true
          schema:
            type: string
            description: The ID of the campaign.
            title: Campaign Id
          description: The ID of the campaign.
        - name: friendly_id
          in: path
          required: true
          schema:
            type: string
            description: The friendly ID of the step.
            title: Friendly Id
          description: The friendly ID of the step.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
              title: Target Data
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````